<?php
ini_set("display_errors","On");
$d = simplexml_load_file("data.xml", 'SimpleXMLElement', LIBXML_NOCDATA);
//$d->matches
$matches = array();
foreach($d->match as $match)
{
	$id = (int)$match['id'];
	$matches[$id] = $match;
}
$teams = array();
foreach($d->team as $team) { $teams[(string)$team['id']] = $team; }
function match_fighter($mid, $tn)
{
	$m = match_get($mid);
	global $teams;
	if ( !isset($m) ) { return ''; }
	if ( !($tn === 1 || $tn === 2) ) { return ''; }
	$tn = 'team'.$tn;
	if ( empty($m[$tn]) ) { return ''; }
	$teamid = (string)$m[$tn];
	
	if ( !isset($teams[$teamid]) ) { return ''.$teamid.''; }
	$team = $teams[$teamid];
	return team_code($team);
}
function team_code($team)
{
	return '<a href="teams?#'.$teamid.'" class="pl_'.$team['flag'].'">'.htmlspecialchars($team['name']).'</a>';
};
function winner()
{
	$m = match_get(19);
	if ( !$m )
	{
		return '';
	}
	if ( !$m['winner'] )
	{
		return '';
	}
	$t = team_get($m['winner']);
	if ( !$t )
	{
		return '';
	}
	return team_code($t);
}
function match_get($mid)
{
	global $matches;
	if ( !isset($matches[(int)$mid]) ) { return false; }
	return $matches[(int)$mid];
};
function team_get($tid)
{
	global $teams;
	if ( !isset($teams[$tid]) ) { return false; }
	return $teams[$tid];
};
function match_info($mid)
{
	$m = match_get($mid);
	if ( !$m ) { return 'Match info'; }
	if ($m['inactive']) { return 'Match info'; }
	return '<a href="matches#m'.$m['id'].'">Match info</a>';
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
      "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <title>tree</title>
  <meta name="generator" content="Amaya, see http://www.w3.org/Amaya/">
</head>

<body>

<table border="0" cellpadding="0" cellspacing="0">
  <caption></caption>
  <col width="150">
  <col width="50">
  <col width="150">
  <col width="50">
  <col width="150">
  <col width="50">
  <col width="150">
  <col>
  <col>
  <tbody>
    <tr>
      <th>Round 1</th>
      <th></th>
      <th>Round 2</th>
      <th></th>
      <th>Semifinal</th>
      <th></th>
      <th>Final</th>
      <th></th>
      <th>Winner</th>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(1,1); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline matchdata"><?php echo match_info(1); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter"><?php echo match_fighter(13,1); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(1,2); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td class="rline matchdata"><?php echo match_info(13); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter finalist"><?php echo match_fighter(17,1); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(2,1); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline matchdata"><?php echo match_info(2); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter"><?php echo match_fighter(13,2); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(2,2); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline matchdata"><?php echo match_info(17); ?>
      </td>
      <td class="goto"></td>
      <td class="fighter winner rline"><?php echo match_fighter(19,1); ?>
      </td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(3,1); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline matchdata"><?php echo match_info(3); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter"><?php echo match_fighter(14,1); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(3,2); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td class="rline matchdata"><?php echo match_info(14); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter finalist"><?php echo match_fighter(17,2); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(4,1); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline matchdata"><?php echo match_info(4); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter"><?php echo match_fighter(14,2); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(4,2); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline matchdata"><?php echo match_info(19); ?>
      </td>
      <td class="goto"></td>
      <td class="fighter finalist"><?php echo winner(); ?>
      </td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(5,1); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline matchdata"><?php echo match_info(5); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter"><?php echo match_fighter(15,1); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(5,2); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td class="rline matchdata"><?php echo match_info(15); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter finalist"><?php echo match_fighter(18,1); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(6,1); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline matchdata"><?php echo match_info(6); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter"><?php echo match_fighter(15,2); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(6,2); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline matchdata"><?php echo match_info(18); ?>
      </td>
      <td class="goto"></td>
      <td class="fighter winner rline"><?php echo match_fighter(19,2); ?>
      </td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(11,1); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline matchdata"><?php echo match_info(11); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter"><?php echo match_fighter(16,1); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(11,2); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td></td>
      <td></td>
      <td class="rline matchdata"><?php echo match_info(16); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter finalist"><?php echo match_fighter(18,2); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(12,1); ?>
      </td>
      <td></td>
      <td class="rline"></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline matchdata"><?php echo match_info(12); ?>
      </td>
      <td class="goto"></td>
      <td class="rline fighter"><?php echo match_fighter(16,2); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <td class="rline fighter"><?php echo match_fighter(12,2); ?>
      </td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
  </tbody>
</table>
</body>
</html>
